/*
 * actuator_mgr.h
 *
 *  Created on: 18 sept. 2022
 *      Author: xavie
 */

#ifndef INC_ACTUATOR_MGR_H_
#define INC_ACTUATOR_MGR_H_

#include <stdbool.h>
#include <stdint.h>

typedef enum {
	PORT0_8A,	// Fan
	PORT1_8A,	// Soil heating
	PORT2_16A,	// Auxiliary pump
	PORT3_8A,	// Reserved - Sump pump
	PORT4_2A	// Auxiliary 230VAC on timer
} PowerPort;

#define AUX_230VAC_PORT	PORT4_2A

void actuator_AAR_OVER( uint16_t id, uint16_t reference, uint16_t hysteresis );
void actuator_AAR_OUTOFRANGE( uint16_t id, uint16_t reference, uint16_t hysteresis );
void actuator_AAR_ON( uint16_t id );
void actuator_AAR_OFF( uint16_t id );


#endif /* INC_ACTUATOR_MGR_H_ */
